Subject: Re: Licensing Terms
From: [email-masked] (Stephen Vance)

7 Nov 1998 12:33:41 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: zigweidr <[email-masked]>
Cc: [email-masked]

zigweidr wrote:

> DJ Delorie wrote:
> >
> > Cygwin's licensing terms are spelled out here:
> >
> >   http://sourceware.cygnus.com/cygwin/licensing.html
> >
> > Basically, not only can you *not* distribute cygwin's
> > dll without sources, but if you use cygwin's dll,
> > you can *not* distribute *your* program without sources
> > either.
> >
> This may be just a technicality, but I think that this is important
> enough that we don't want to mislead the readers here.  I don't think
> that the sources have to be included with the binaries that are compiled
> according to the GPL.  They do, however, have to be made available.
> With regards to the cygwin DLL, pointing it to the address where it was
> gotten would be sufficient yes?  That is making the user of the software
> aware that those sources are in fact available, and thus fullfilling the
> GPL.
>
> However, if Cygnus has made this mandetory in addition to the GPL, this
> is a different issue altogether, but I don't get that from reading the
> licensing link you posted.

My understanding is that you are allowed to point to the sources.  You
merely need to make them available.

However, you must also include pointers to *your own* sources.  In effect,
linking against the Cygwin DLL "taints" your code.  This is the essential
distinction between the GPL and the Library GPL (LGPL) in my understanding.
The LGPL would allow you to link against the library, as long as it was
unchanged from the original or the source for the changes to the original
were available, without being obligated to supply your application source as
well.

--
Stephen Vance                           |  http://www.deneb.com
Deneb Robotics, Inc.                    |  mailto:[email-masked]
5500 New King Street                    |  Phone: (248) 267-9696
Troy, MI 48098-2615                     |  Fax:   (248) 267-8585

What is done well is done quickly enough. -Augustus Caesar

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".